<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with Wdesk from Workiva-->
<!--Copyright 2022 Workiva-->
<!--r:3e86f01b-36c4-4a5a-ba29-ee233607cf31,g:b215c27f-622e-4722-aba0-6d2b6a8f9a90-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="http://bt.com/role/StatementofcomprehensiveincomeprofitorlossbyfunctionofexpenseStatement" xlink:type="simple" xlink:href="549300OWFMSO9NYV4H90-2022-03-31.xsd#StatementofcomprehensiveincomeprofitorlossbyfunctionofexpenseStatement"/>
  <link:calculationLink xlink:role="http://bt.com/role/StatementofcomprehensiveincomeprofitorlossbyfunctionofexpenseStatement" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLoss_31fa90c5-12bd-4ea2-a699-718a58b0f4ae" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLoss"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossBeforeTax_fde3ca91-5399-4a23-b2e5-5c352d0d029e" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLossBeforeTax"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLoss_31fa90c5-12bd-4ea2-a699-718a58b0f4ae" xlink:to="loc_ifrs-full_ProfitLossBeforeTax_fde3ca91-5399-4a23-b2e5-5c352d0d029e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncomeTaxExpenseContinuingOperations_5274496a-65ef-43ff-833b-974a51ab30b5" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLoss_31fa90c5-12bd-4ea2-a699-718a58b0f4ae" xlink:to="loc_ifrs-full_IncomeTaxExpenseContinuingOperations_5274496a-65ef-43ff-833b-974a51ab30b5" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_FinanceIncomeCost_24e57d6a-c5c3-40e0-a652-2be5d6f5c115" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_FinanceIncomeCost"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_FinanceCosts_4576bb7c-4451-4bb5-ba59-42fb6213be0e" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_FinanceCosts"/>
    <link:calculationArc order="1" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_FinanceIncomeCost_24e57d6a-c5c3-40e0-a652-2be5d6f5c115" xlink:to="loc_ifrs-full_FinanceCosts_4576bb7c-4451-4bb5-ba59-42fb6213be0e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_FinanceIncome_07f50cc8-51b7-4a2a-800b-f181b2ef7f86" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_FinanceIncome"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_FinanceIncomeCost_24e57d6a-c5c3-40e0-a652-2be5d6f5c115" xlink:to="loc_ifrs-full_FinanceIncome_07f50cc8-51b7-4a2a-800b-f181b2ef7f86" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossBeforeTax_8d9bb34d-7e3b-4f39-9de4-9f4ace32ee84" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLossBeforeTax"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossFromOperatingActivities_1c593f6b-ba5c-4b5a-ba92-620c674caecf" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLossFromOperatingActivities"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax_8d9bb34d-7e3b-4f39-9de4-9f4ace32ee84" xlink:to="loc_ifrs-full_ProfitLossFromOperatingActivities_1c593f6b-ba5c-4b5a-ba92-620c674caecf" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ShareOfProfitLossOfAssociatesAccountedForUsingEquityMethod_c30754ff-3c42-42e9-bcd0-76515e7923df" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ShareOfProfitLossOfAssociatesAccountedForUsingEquityMethod"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax_8d9bb34d-7e3b-4f39-9de4-9f4ace32ee84" xlink:to="loc_ifrs-full_ShareOfProfitLossOfAssociatesAccountedForUsingEquityMethod_c30754ff-3c42-42e9-bcd0-76515e7923df" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_FinanceIncomeCost_6a8c5539-3e87-44b7-ae4a-764d1614c1c4" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_FinanceIncomeCost"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax_8d9bb34d-7e3b-4f39-9de4-9f4ace32ee84" xlink:to="loc_ifrs-full_FinanceIncomeCost_6a8c5539-3e87-44b7-ae4a-764d1614c1c4" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossFromOperatingActivities_67d158ae-d6f8-48ab-9ad6-6e18c18e6f5f" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLossFromOperatingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Revenue_52c31f32-8583-4c25-95b1-a18e47587652" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Revenue"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities_67d158ae-d6f8-48ab-9ad6-6e18c18e6f5f" xlink:to="loc_ifrs-full_Revenue_52c31f32-8583-4c25-95b1-a18e47587652" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OperatingExpense_ecd20710-4e46-49ea-b288-741590536b9f" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OperatingExpense"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities_67d158ae-d6f8-48ab-9ad6-6e18c18e6f5f" xlink:to="loc_ifrs-full_OperatingExpense_ecd20710-4e46-49ea-b288-741590536b9f" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://bt.com/role/StatementofcomprehensiveincomeOCIcomponentspresentednetoftaxStatement" xlink:type="simple" xlink:href="549300OWFMSO9NYV4H90-2022-03-31.xsd#StatementofcomprehensiveincomeOCIcomponentspresentednetoftaxStatement"/>
  <link:calculationLink xlink:role="http://bt.com/role/StatementofcomprehensiveincomeOCIcomponentspresentednetoftaxStatement" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncome_faa3320e-ef5b-40ad-98e1-7ccdb162029c" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncome"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss_32dc5d21-8bfa-4776-9478-ca8bf1bce5ca" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss"/>
    <link:calculationArc order="1" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome_faa3320e-ef5b-40ad-98e1-7ccdb162029c" xlink:to="loc_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss_32dc5d21-8bfa-4776-9478-ca8bf1bce5ca" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_GainsLossesOnCashFlowHedgesBeforeTax_da2955f1-9581-4159-bce9-9f874668e510" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_GainsLossesOnCashFlowHedgesBeforeTax"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome_faa3320e-ef5b-40ad-98e1-7ccdb162029c" xlink:to="loc_ifrs-full_GainsLossesOnCashFlowHedgesBeforeTax_da2955f1-9581-4159-bce9-9f874668e510" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncomeTaxRelatingToRemeasurementsOfDefinedBenefitPlansOfOtherComprehensiveIncome_1f4dbbcf-8756-45e3-a2d6-120378aa93f2" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncomeTaxRelatingToRemeasurementsOfDefinedBenefitPlansOfOtherComprehensiveIncome"/>
    <link:calculationArc order="3" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome_faa3320e-ef5b-40ad-98e1-7ccdb162029c" xlink:to="loc_ifrs-full_IncomeTaxRelatingToRemeasurementsOfDefinedBenefitPlansOfOtherComprehensiveIncome_1f4dbbcf-8756-45e3-a2d6-120378aa93f2" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans_a7df84d6-8fc4-4091-9940-b1045d031c16" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome_faa3320e-ef5b-40ad-98e1-7ccdb162029c" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans_a7df84d6-8fc4-4091-9940-b1045d031c16" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ReclassificationAdjustmentsOnCashFlowHedgesBeforeTax_ed2a3de0-eb1b-4ab9-9296-f58c431bf094" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ReclassificationAdjustmentsOnCashFlowHedgesBeforeTax"/>
    <link:calculationArc order="5" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome_faa3320e-ef5b-40ad-98e1-7ccdb162029c" xlink:to="loc_ifrs-full_ReclassificationAdjustmentsOnCashFlowHedgesBeforeTax_ed2a3de0-eb1b-4ab9-9296-f58c431bf094" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome_ca3e11d8-7519-4ab0-8ca1-c44be0672463" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome_faa3320e-ef5b-40ad-98e1-7ccdb162029c" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome_ca3e11d8-7519-4ab0-8ca1-c44be0672463" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxExchangeDifferencesOnTranslation_f2167ad8-3453-4996-bffa-d74fbf90f54b" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxExchangeDifferencesOnTranslation"/>
    <link:calculationArc order="7" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome_faa3320e-ef5b-40ad-98e1-7ccdb162029c" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxExchangeDifferencesOnTranslation_f2167ad8-3453-4996-bffa-d74fbf90f54b" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://bt.com/role/StatementoffinancialpositioncurrentnoncurrentStatement" xlink:type="simple" xlink:href="549300OWFMSO9NYV4H90-2022-03-31.xsd#StatementoffinancialpositioncurrentnoncurrentStatement"/>
  <link:calculationLink xlink:role="http://bt.com/role/StatementoffinancialpositioncurrentnoncurrentStatement" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AssetsLessCurrentLiabilities_16195b13-8808-428e-9f10-ec44e76220c8" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AssetsLessCurrentLiabilities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentAssets_b2f00b9e-d8b0-43b6-9a05-16ebac9a084f" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentAssets"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_AssetsLessCurrentLiabilities_16195b13-8808-428e-9f10-ec44e76220c8" xlink:to="loc_ifrs-full_NoncurrentAssets_b2f00b9e-d8b0-43b6-9a05-16ebac9a084f" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentAssets_1f157f34-40b2-4534-a190-ee61aaa59635" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentAssets"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_AssetsLessCurrentLiabilities_16195b13-8808-428e-9f10-ec44e76220c8" xlink:to="loc_ifrs-full_CurrentAssets_1f157f34-40b2-4534-a190-ee61aaa59635" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentLiabilities_a045bb6b-c979-4dfd-b922-3af8dda32317" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentLiabilities"/>
    <link:calculationArc order="3" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_AssetsLessCurrentLiabilities_16195b13-8808-428e-9f10-ec44e76220c8" xlink:to="loc_ifrs-full_CurrentLiabilities_a045bb6b-c979-4dfd-b922-3af8dda32317" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentLiabilities_2d52f30f-0f63-4589-8e95-1bffeae75e2d" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentLiabilities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ShorttermBorrowings_e4e83f0e-0649-4ac3-971c-789122a87b4e" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ShorttermBorrowings"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_2d52f30f-0f63-4589-8e95-1bffeae75e2d" xlink:to="loc_ifrs-full_ShorttermBorrowings_e4e83f0e-0649-4ac3-971c-789122a87b4e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentLeaseLiabilities_908100ad-3a96-4783-8116-4293e2ff9df4" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentLeaseLiabilities"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_2d52f30f-0f63-4589-8e95-1bffeae75e2d" xlink:to="loc_ifrs-full_CurrentLeaseLiabilities_908100ad-3a96-4783-8116-4293e2ff9df4" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentDerivativeFinancialLiabilities_d21d2e26-dd77-4340-b480-bd92a2826dcf" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentDerivativeFinancialLiabilities"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_2d52f30f-0f63-4589-8e95-1bffeae75e2d" xlink:to="loc_ifrs-full_CurrentDerivativeFinancialLiabilities_d21d2e26-dd77-4340-b480-bd92a2826dcf" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentProvisions_ab4d7559-105f-4774-aba4-be24035116ca" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentProvisions"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_2d52f30f-0f63-4589-8e95-1bffeae75e2d" xlink:to="loc_ifrs-full_CurrentProvisions_ab4d7559-105f-4774-aba4-be24035116ca" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentContractLiabilities_f494e247-7e92-432f-ae6d-11a390cd885d" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentContractLiabilities"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_2d52f30f-0f63-4589-8e95-1bffeae75e2d" xlink:to="loc_ifrs-full_CurrentContractLiabilities_f494e247-7e92-432f-ae6d-11a390cd885d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentTaxLiabilities_0f9924ae-6f8a-4c16-9670-17a2f69c3621" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentTaxLiabilities"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_2d52f30f-0f63-4589-8e95-1bffeae75e2d" xlink:to="loc_ifrs-full_CurrentTaxLiabilities_0f9924ae-6f8a-4c16-9670-17a2f69c3621" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_LiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale_a85b658b-7ac9-4149-8847-9dbd4ed47fdf" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_LiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale"/>
    <link:calculationArc order="7" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_2d52f30f-0f63-4589-8e95-1bffeae75e2d" xlink:to="loc_ifrs-full_LiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale_a85b658b-7ac9-4149-8847-9dbd4ed47fdf" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_TradeAndOtherCurrentPayables_d3130c53-493b-4448-907b-0688843abded" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_TradeAndOtherCurrentPayables"/>
    <link:calculationArc order="8" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_2d52f30f-0f63-4589-8e95-1bffeae75e2d" xlink:to="loc_ifrs-full_TradeAndOtherCurrentPayables_d3130c53-493b-4448-907b-0688843abded" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentAssets_30cffee0-b276-48e4-8d06-c83b88516bb3" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentAssets"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_RightofuseAssets_571133df-f415-4b4d-a379-419b0d2abc30" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_RightofuseAssets"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_30cffee0-b276-48e4-8d06-c83b88516bb3" xlink:to="loc_ifrs-full_RightofuseAssets_571133df-f415-4b4d-a379-419b0d2abc30" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_InvestmentAccountedForUsingEquityMethod_371b298c-f013-4f5b-b78f-523ce1e8f914" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_InvestmentAccountedForUsingEquityMethod"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_30cffee0-b276-48e4-8d06-c83b88516bb3" xlink:to="loc_ifrs-full_InvestmentAccountedForUsingEquityMethod_371b298c-f013-4f5b-b78f-523ce1e8f914" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PropertyPlantAndEquipment_32e48fdc-3ac3-47a6-aed7-2c64d7e6d4b9" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PropertyPlantAndEquipment"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_30cffee0-b276-48e4-8d06-c83b88516bb3" xlink:to="loc_ifrs-full_PropertyPlantAndEquipment_32e48fdc-3ac3-47a6-aed7-2c64d7e6d4b9" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentReceivables_94f1fcc7-56a8-4476-aab9-8c86499dd506" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentReceivables"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_30cffee0-b276-48e4-8d06-c83b88516bb3" xlink:to="loc_ifrs-full_NoncurrentReceivables_94f1fcc7-56a8-4476-aab9-8c86499dd506" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_DeferredTaxAssets_86a05acb-ffcc-4b2c-ac38-17454e45324b" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DeferredTaxAssets"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_30cffee0-b276-48e4-8d06-c83b88516bb3" xlink:to="loc_ifrs-full_DeferredTaxAssets_86a05acb-ffcc-4b2c-ac38-17454e45324b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IntangibleAssetsAndGoodwill_c8e2c520-fd2c-498f-b4af-f65b76cb0ff8" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IntangibleAssetsAndGoodwill"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_30cffee0-b276-48e4-8d06-c83b88516bb3" xlink:to="loc_ifrs-full_IntangibleAssetsAndGoodwill_c8e2c520-fd2c-498f-b4af-f65b76cb0ff8" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod_4e5a0f4b-381b-4c4f-bfef-9120b41bd29a" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod"/>
    <link:calculationArc order="7" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_30cffee0-b276-48e4-8d06-c83b88516bb3" xlink:to="loc_ifrs-full_NoncurrentInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod_4e5a0f4b-381b-4c4f-bfef-9120b41bd29a" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentContractAssets_1a27732a-32ba-42e8-9e41-a868512951b9" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentContractAssets"/>
    <link:calculationArc order="8" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_30cffee0-b276-48e4-8d06-c83b88516bb3" xlink:to="loc_ifrs-full_NoncurrentContractAssets_1a27732a-32ba-42e8-9e41-a868512951b9" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentDerivativeFinancialAssets_895bbd3a-1680-40e7-9af7-a5a3c9d7789e" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentDerivativeFinancialAssets"/>
    <link:calculationArc order="9" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_30cffee0-b276-48e4-8d06-c83b88516bb3" xlink:to="loc_ifrs-full_NoncurrentDerivativeFinancialAssets_895bbd3a-1680-40e7-9af7-a5a3c9d7789e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Equity_573165f2-994e-49b1-955d-4f265934785a" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Equity"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_RetainedEarnings_81a9c79c-e1e5-4a94-89c3-6dfadde143a1" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_RetainedEarnings"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Equity_573165f2-994e-49b1-955d-4f265934785a" xlink:to="loc_ifrs-full_RetainedEarnings_81a9c79c-e1e5-4a94-89c3-6dfadde143a1" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_SharePremium_19b742b4-d016-4757-a2fc-35639531cb14" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_SharePremium"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Equity_573165f2-994e-49b1-955d-4f265934785a" xlink:to="loc_ifrs-full_SharePremium_19b742b4-d016-4757-a2fc-35639531cb14" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IssuedCapital_6881f407-4dc4-415c-8397-b4eb8147332e" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IssuedCapital"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Equity_573165f2-994e-49b1-955d-4f265934785a" xlink:to="loc_ifrs-full_IssuedCapital_6881f407-4dc4-415c-8397-b4eb8147332e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherReserves_3251c000-bd76-4001-bcf6-8d898933ca51" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherReserves"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Equity_573165f2-994e-49b1-955d-4f265934785a" xlink:to="loc_ifrs-full_OtherReserves_3251c000-bd76-4001-bcf6-8d898933ca51" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentLiabilities_7300cbfd-2b66-4d92-9946-51f2c5dadfb6" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentLiabilities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentDerivativeFinancialLiabilities_c13de23d-20ec-4284-9419-17057fd55f3f" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentDerivativeFinancialLiabilities"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_7300cbfd-2b66-4d92-9946-51f2c5dadfb6" xlink:to="loc_ifrs-full_NoncurrentDerivativeFinancialLiabilities_c13de23d-20ec-4284-9419-17057fd55f3f" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentLeaseLiabilities_13407842-b0a2-413d-9851-399b94b856f3" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentLeaseLiabilities"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_7300cbfd-2b66-4d92-9946-51f2c5dadfb6" xlink:to="loc_ifrs-full_NoncurrentLeaseLiabilities_13407842-b0a2-413d-9851-399b94b856f3" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_DeferredTaxLiabilities_46cdc2e1-d7b2-4ac8-8025-6a3a71df70fc" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DeferredTaxLiabilities"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_7300cbfd-2b66-4d92-9946-51f2c5dadfb6" xlink:to="loc_ifrs-full_DeferredTaxLiabilities_46cdc2e1-d7b2-4ac8-8025-6a3a71df70fc" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_LongtermBorrowings_3182f521-8110-4ae9-9b31-f2d1dc847db6" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_LongtermBorrowings"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_7300cbfd-2b66-4d92-9946-51f2c5dadfb6" xlink:to="loc_ifrs-full_LongtermBorrowings_3182f521-8110-4ae9-9b31-f2d1dc847db6" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentProvisions_e8d2d696-8395-48dc-9733-ad7f19785742" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentProvisions"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_7300cbfd-2b66-4d92-9946-51f2c5dadfb6" xlink:to="loc_ifrs-full_NoncurrentProvisions_e8d2d696-8395-48dc-9733-ad7f19785742" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentRecognisedLiabilitiesDefinedBenefitPlan_ca6c157b-edb5-4d1a-bada-9018aaf76ec0" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentRecognisedLiabilitiesDefinedBenefitPlan"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_7300cbfd-2b66-4d92-9946-51f2c5dadfb6" xlink:to="loc_ifrs-full_NoncurrentRecognisedLiabilitiesDefinedBenefitPlan_ca6c157b-edb5-4d1a-bada-9018aaf76ec0" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherNoncurrentPayables_9621a6c4-a75c-488b-a787-a09e0d6da99a" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherNoncurrentPayables"/>
    <link:calculationArc order="7" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_7300cbfd-2b66-4d92-9946-51f2c5dadfb6" xlink:to="loc_ifrs-full_OtherNoncurrentPayables_9621a6c4-a75c-488b-a787-a09e0d6da99a" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentContractLiabilities_32b4cc5d-0543-4035-ba45-374729527478" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentContractLiabilities"/>
    <link:calculationArc order="8" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_7300cbfd-2b66-4d92-9946-51f2c5dadfb6" xlink:to="loc_ifrs-full_NoncurrentContractLiabilities_32b4cc5d-0543-4035-ba45-374729527478" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentAssets_7fbcb4a8-c025-4827-9855-ed1568430e83" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentAssets"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentContractAssets_e4878689-4705-4e6a-ace6-8b172544d301" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentContractAssets"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_7fbcb4a8-c025-4827-9855-ed1568430e83" xlink:to="loc_ifrs-full_CurrentContractAssets_e4878689-4705-4e6a-ace6-8b172544d301" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_TradeAndOtherCurrentReceivables_111fa5fe-f7a5-4b73-a93e-73cfcdcf89ac" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_TradeAndOtherCurrentReceivables"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_7fbcb4a8-c025-4827-9855-ed1568430e83" xlink:to="loc_ifrs-full_TradeAndOtherCurrentReceivables_111fa5fe-f7a5-4b73-a93e-73cfcdcf89ac" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashAndCashEquivalents_aeddf8c4-7256-4fd2-9e83-10f644015320" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashAndCashEquivalents"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_7fbcb4a8-c025-4827-9855-ed1568430e83" xlink:to="loc_ifrs-full_CashAndCashEquivalents_aeddf8c4-7256-4fd2-9e83-10f644015320" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentTaxAssets_89aa83d1-670a-4593-a363-dab5609e87cd" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentTaxAssets"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_7fbcb4a8-c025-4827-9855-ed1568430e83" xlink:to="loc_ifrs-full_CurrentTaxAssets_89aa83d1-670a-4593-a363-dab5609e87cd" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSale_dadc4b76-cd89-4a9c-9b58-2b7e5f440c24" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSale"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_7fbcb4a8-c025-4827-9855-ed1568430e83" xlink:to="loc_ifrs-full_NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSale_dadc4b76-cd89-4a9c-9b58-2b7e5f440c24" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentProgrammingAssets_081e3df0-d699-4327-91a6-05049296e75a" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentProgrammingAssets"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_7fbcb4a8-c025-4827-9855-ed1568430e83" xlink:to="loc_ifrs-full_CurrentProgrammingAssets_081e3df0-d699-4327-91a6-05049296e75a" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentDerivativeFinancialAssets_56f58214-9a14-433c-8e0a-5e9195476c41" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentDerivativeFinancialAssets"/>
    <link:calculationArc order="7" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_7fbcb4a8-c025-4827-9855-ed1568430e83" xlink:to="loc_ifrs-full_CurrentDerivativeFinancialAssets_56f58214-9a14-433c-8e0a-5e9195476c41" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Inventories_e07e6f96-7881-4d7c-ab5d-8693d80aa5be" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Inventories"/>
    <link:calculationArc order="8" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_7fbcb4a8-c025-4827-9855-ed1568430e83" xlink:to="loc_ifrs-full_Inventories_e07e6f96-7881-4d7c-ab5d-8693d80aa5be" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentInvestments_93c1bfd6-0773-4c2d-b345-cdfbbb5292a5" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentInvestments"/>
    <link:calculationArc order="9" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_7fbcb4a8-c025-4827-9855-ed1568430e83" xlink:to="loc_ifrs-full_CurrentInvestments_93c1bfd6-0773-4c2d-b345-cdfbbb5292a5" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_EquityAndLiabilities_df6d1eb6-21c0-45d9-8b5e-70cfc52a2380" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_EquityAndLiabilities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentLiabilities_87f17ee0-4f44-4a4f-a1a4-717396a412b5" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentLiabilities"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAndLiabilities_df6d1eb6-21c0-45d9-8b5e-70cfc52a2380" xlink:to="loc_ifrs-full_NoncurrentLiabilities_87f17ee0-4f44-4a4f-a1a4-717396a412b5" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Equity_a39034ca-c4be-4bcc-8c69-6fa9318ef9ff" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Equity"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAndLiabilities_df6d1eb6-21c0-45d9-8b5e-70cfc52a2380" xlink:to="loc_ifrs-full_Equity_a39034ca-c4be-4bcc-8c69-6fa9318ef9ff" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://bt.com/role/StatementofcashflowsindirectmethodStatement" xlink:type="simple" xlink:href="549300OWFMSO9NYV4H90-2022-03-31.xsd#StatementofcashflowsindirectmethodStatement"/>
  <link:calculationLink xlink:role="http://bt.com/role/StatementofcashflowsindirectmethodStatement" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperations_2556afc4-0b21-44fe-9196-ee58a4ebd66e" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperations"/>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_AdjustmentsForIncreaseDecreaseInContractAssetsAnchors_be97fa85-d4b1-47e4-98e4-c1315b507c63" xlink:href="549300OWFMSO9NYV4H90-2022-03-31.xsd#btplc_AdjustmentsForIncreaseDecreaseInContractAssetsAnchors"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_2556afc4-0b21-44fe-9196-ee58a4ebd66e" xlink:to="loc_btplc_AdjustmentsForIncreaseDecreaseInContractAssetsAnchors_be97fa85-d4b1-47e4-98e4-c1315b507c63" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForDecreaseIncreaseInInventories_3b921936-bae9-4bf7-bdc0-d012b0d6717d" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInInventories"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_2556afc4-0b21-44fe-9196-ee58a4ebd66e" xlink:to="loc_ifrs-full_AdjustmentsForDecreaseIncreaseInInventories_3b921936-bae9-4bf7-bdc0-d012b0d6717d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables_c707d13f-0eee-4bc6-8604-a8071a5441df" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_2556afc4-0b21-44fe-9196-ee58a4ebd66e" xlink:to="loc_ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables_c707d13f-0eee-4bc6-8604-a8071a5441df" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForIncreaseDecreaseInOtherLiabilities_a80a1e5c-e148-4daf-a2b9-fc61380d856b" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInOtherLiabilities"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_2556afc4-0b21-44fe-9196-ee58a4ebd66e" xlink:to="loc_ifrs-full_AdjustmentsForIncreaseDecreaseInOtherLiabilities_a80a1e5c-e148-4daf-a2b9-fc61380d856b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForProvisions_258d8975-0bd5-4ed0-99f7-c1510e940027" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForProvisions"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_2556afc4-0b21-44fe-9196-ee58a4ebd66e" xlink:to="loc_ifrs-full_AdjustmentsForProvisions_258d8975-0bd5-4ed0-99f7-c1510e940027" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_AdjustmentsForDecreaseIncreaseInContractLiabilities_1f98a395-e299-40dd-8bd2-a11d1283637d" xlink:href="549300OWFMSO9NYV4H90-2022-03-31.xsd#btplc_AdjustmentsForDecreaseIncreaseInContractLiabilities"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_2556afc4-0b21-44fe-9196-ee58a4ebd66e" xlink:to="loc_btplc_AdjustmentsForDecreaseIncreaseInContractLiabilities_1f98a395-e299-40dd-8bd2-a11d1283637d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_AdjustmentsForDecreaseIncreaseInProgrammeRights_c25f08ce-d62c-4356-8cc4-42fd46acce4f" xlink:href="549300OWFMSO9NYV4H90-2022-03-31.xsd#btplc_AdjustmentsForDecreaseIncreaseInProgrammeRights"/>
    <link:calculationArc order="7" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_2556afc4-0b21-44fe-9196-ee58a4ebd66e" xlink:to="loc_btplc_AdjustmentsForDecreaseIncreaseInProgrammeRights_c25f08ce-d62c-4356-8cc4-42fd46acce4f" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForGainLossOnDisposalOfInvestmentsInSubsidiariesJointVenturesAndAssociates_d0782704-34dd-4f66-a6ac-1bae1cc0fedb" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForGainLossOnDisposalOfInvestmentsInSubsidiariesJointVenturesAndAssociates"/>
    <link:calculationArc order="8" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_2556afc4-0b21-44fe-9196-ee58a4ebd66e" xlink:to="loc_ifrs-full_AdjustmentsForGainLossOnDisposalOfInvestmentsInSubsidiariesJointVenturesAndAssociates_d0782704-34dd-4f66-a6ac-1bae1cc0fedb" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherAdjustmentsForNoncashItems_470539d5-a44c-4edd-9ca8-012e75da3cd4" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherAdjustmentsForNoncashItems"/>
    <link:calculationArc order="9" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_2556afc4-0b21-44fe-9196-ee58a4ebd66e" xlink:to="loc_ifrs-full_OtherAdjustmentsForNoncashItems_470539d5-a44c-4edd-9ca8-012e75da3cd4" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossFromOperatingActivities_e7c061d0-7570-440f-bfa3-89208c6e68ca" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLossFromOperatingActivities"/>
    <link:calculationArc order="10" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_2556afc4-0b21-44fe-9196-ee58a4ebd66e" xlink:to="loc_ifrs-full_ProfitLossFromOperatingActivities_e7c061d0-7570-440f-bfa3-89208c6e68ca" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_AdjustmentsForProfitOnDisposalOfPropertyPlantAndEquipmentAndIntangibleAssetsAnchors_159303cf-12c3-4ccb-8419-19e777d28890" xlink:href="549300OWFMSO9NYV4H90-2022-03-31.xsd#btplc_AdjustmentsForProfitOnDisposalOfPropertyPlantAndEquipmentAndIntangibleAssetsAnchors"/>
    <link:calculationArc order="11" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_2556afc4-0b21-44fe-9196-ee58a4ebd66e" xlink:to="loc_btplc_AdjustmentsForProfitOnDisposalOfPropertyPlantAndEquipmentAndIntangibleAssetsAnchors_159303cf-12c3-4ccb-8419-19e777d28890" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense_9adf78b9-1ed6-4300-886b-e4fa24d99910" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense"/>
    <link:calculationArc order="12" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_2556afc4-0b21-44fe-9196-ee58a4ebd66e" xlink:to="loc_ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense_9adf78b9-1ed6-4300-886b-e4fa24d99910" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables_8bd35493-8ffb-4743-a03e-8e945dbf550f" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables"/>
    <link:calculationArc order="13" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_2556afc4-0b21-44fe-9196-ee58a4ebd66e" xlink:to="loc_ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables_8bd35493-8ffb-4743-a03e-8e945dbf550f" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_1176601f-0804-4acf-8d1b-143ba031abeb" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperations_2b3eb1c4-dd31-4556-917a-e95b163da35f" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperations"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_1176601f-0804-4acf-8d1b-143ba031abeb" xlink:to="loc_ifrs-full_CashFlowsFromUsedInOperations_2b3eb1c4-dd31-4556-917a-e95b163da35f" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities_b7228a33-490b-4d04-9d32-95c8b888e357" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_1176601f-0804-4acf-8d1b-143ba031abeb" xlink:to="loc_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities_b7228a33-490b-4d04-9d32-95c8b888e357" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_d82a6548-5c84-4c70-809d-4641a0451de1" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_ffb276f9-9ff7-458d-9ebe-1a165033fb02" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_d82a6548-5c84-4c70-809d-4641a0451de1" xlink:to="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_ffb276f9-9ff7-458d-9ebe-1a165033fb02" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_c60b3f55-0b5a-41ef-b33c-ccc1cad0d374" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_d82a6548-5c84-4c70-809d-4641a0451de1" xlink:to="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_c60b3f55-0b5a-41ef-b33c-ccc1cad0d374" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_cc8d0886-56f2-457e-9e46-8d943d1cc159" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_d82a6548-5c84-4c70-809d-4641a0451de1" xlink:to="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_cc8d0886-56f2-457e-9e46-8d943d1cc159" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_38194b18-b4f5-444f-9884-1c2c06004e31" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_ProceedsOnDisposalOfCurrentFinancialAssetsClassifiedAsInvestingActivitiesAnchors_9a9cd5d0-832c-480e-aef2-0df87f028214" xlink:href="549300OWFMSO9NYV4H90-2022-03-31.xsd#btplc_ProceedsOnDisposalOfCurrentFinancialAssetsClassifiedAsInvestingActivitiesAnchors"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_38194b18-b4f5-444f-9884-1c2c06004e31" xlink:to="loc_btplc_ProceedsOnDisposalOfCurrentFinancialAssetsClassifiedAsInvestingActivitiesAnchors_9a9cd5d0-832c-480e-aef2-0df87f028214" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_PurchasesOfCurrentFinancialAssetsClassifiedAsInvestingActivities_6ef5448f-f706-44a7-9bfe-e4fab92ccd38" xlink:href="549300OWFMSO9NYV4H90-2022-03-31.xsd#btplc_PurchasesOfCurrentFinancialAssetsClassifiedAsInvestingActivities"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_38194b18-b4f5-444f-9884-1c2c06004e31" xlink:to="loc_btplc_PurchasesOfCurrentFinancialAssetsClassifiedAsInvestingActivities_6ef5448f-f706-44a7-9bfe-e4fab92ccd38" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets_ffffa43c-171c-4518-84b2-5c4a02dafb16" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets"/>
    <link:calculationArc order="3" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_38194b18-b4f5-444f-9884-1c2c06004e31" xlink:to="loc_ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets_ffffa43c-171c-4518-84b2-5c4a02dafb16" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_DividendsReceivedFromInvestmentsAccountedForUsingEquityMethodClassifiedAsInvestingActivities_18c51058-b3c5-419e-98ba-6487ce92fabf" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DividendsReceivedFromInvestmentsAccountedForUsingEquityMethodClassifiedAsInvestingActivities"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_38194b18-b4f5-444f-9884-1c2c06004e31" xlink:to="loc_ifrs-full_DividendsReceivedFromInvestmentsAccountedForUsingEquityMethodClassifiedAsInvestingActivities_18c51058-b3c5-419e-98ba-6487ce92fabf" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_NetPurchaseDisposalOfNonCurrentAssetInvestmentsClassifiedAsInvestingActivities_28dec47a-35dc-464e-a4c6-74c228092865" xlink:href="549300OWFMSO9NYV4H90-2022-03-31.xsd#btplc_NetPurchaseDisposalOfNonCurrentAssetInvestmentsClassifiedAsInvestingActivities"/>
    <link:calculationArc order="5" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_38194b18-b4f5-444f-9884-1c2c06004e31" xlink:to="loc_btplc_NetPurchaseDisposalOfNonCurrentAssetInvestmentsClassifiedAsInvestingActivities_28dec47a-35dc-464e-a4c6-74c228092865" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_InterestReceivedClassifiedAsInvestingActivities_a03c65eb-ed0f-45ba-bb95-fb404cad9702" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_InterestReceivedClassifiedAsInvestingActivities"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_38194b18-b4f5-444f-9884-1c2c06004e31" xlink:to="loc_ifrs-full_InterestReceivedClassifiedAsInvestingActivities_a03c65eb-ed0f-45ba-bb95-fb404cad9702" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets_916896fc-aa4d-49e1-84bf-e1702cba3811" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets"/>
    <link:calculationArc order="7" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_38194b18-b4f5-444f-9884-1c2c06004e31" xlink:to="loc_ifrs-full_ProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets_916896fc-aa4d-49e1-84bf-e1702cba3811" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities_0e130326-81c1-49f4-acc7-cf2a5ff1c967" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities"/>
    <link:calculationArc order="8" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_38194b18-b4f5-444f-9884-1c2c06004e31" xlink:to="loc_ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities_0e130326-81c1-49f4-acc7-cf2a5ff1c967" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromLosingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities_a9f4a39b-6b23-4b91-8541-2a6b9e40ce74" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromLosingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities"/>
    <link:calculationArc order="9" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_38194b18-b4f5-444f-9884-1c2c06004e31" xlink:to="loc_ifrs-full_CashFlowsFromLosingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities_a9f4a39b-6b23-4b91-8541-2a6b9e40ce74" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OutflowsOfCashFromInvestingActivities_7b8b2552-8a26-44c1-b526-1e96ae649c24" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OutflowsOfCashFromInvestingActivities"/>
    <link:calculationArc order="10" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_38194b18-b4f5-444f-9884-1c2c06004e31" xlink:to="loc_ifrs-full_OutflowsOfCashFromInvestingActivities_7b8b2552-8a26-44c1-b526-1e96ae649c24" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_151e07a9-d44b-420c-b61e-7ccc47b48924" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities_669e9ab2-1b80-4a28-9776-ffa4693c5e0e" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities"/>
    <link:calculationArc order="1" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_151e07a9-d44b-420c-b61e-7ccc47b48924" xlink:to="loc_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities_669e9ab2-1b80-4a28-9776-ffa4693c5e0e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_InterestPaidClassifiedAsFinancingActivities_33d13cfe-9d4f-472f-8cfa-5c2bb1a02861" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_InterestPaidClassifiedAsFinancingActivities"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_151e07a9-d44b-420c-b61e-7ccc47b48924" xlink:to="loc_ifrs-full_InterestPaidClassifiedAsFinancingActivities_33d13cfe-9d4f-472f-8cfa-5c2bb1a02861" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_CashFlowsFromDerivativesRelatedToNetDebtClassifiedAsFinancingActivitiesAnchors_f7c8676d-d0e2-4854-a843-b5a5fa41cb9d" xlink:href="549300OWFMSO9NYV4H90-2022-03-31.xsd#btplc_CashFlowsFromDerivativesRelatedToNetDebtClassifiedAsFinancingActivitiesAnchors"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_151e07a9-d44b-420c-b61e-7ccc47b48924" xlink:to="loc_btplc_CashFlowsFromDerivativesRelatedToNetDebtClassifiedAsFinancingActivitiesAnchors_f7c8676d-d0e2-4854-a843-b5a5fa41cb9d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities_c4ea932a-b198-4a40-94f7-571411dec235" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_151e07a9-d44b-420c-b61e-7ccc47b48924" xlink:to="loc_ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities_c4ea932a-b198-4a40-94f7-571411dec235" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_CashOutflowForChangesInOwnershipInterestInSubsidiariesd_bcc128f0-5d11-4c79-80e2-289cd567d3e5" xlink:href="549300OWFMSO9NYV4H90-2022-03-31.xsd#btplc_CashOutflowForChangesInOwnershipInterestInSubsidiariesd"/>
    <link:calculationArc order="5" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_151e07a9-d44b-420c-b61e-7ccc47b48924" xlink:to="loc_btplc_CashOutflowForChangesInOwnershipInterestInSubsidiariesd_bcc128f0-5d11-4c79-80e2-289cd567d3e5" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities_720ef2ce-0df8-42ed-84c9-b09339a6a934" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities"/>
    <link:calculationArc order="6" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_151e07a9-d44b-420c-b61e-7ccc47b48924" xlink:to="loc_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities_720ef2ce-0df8-42ed-84c9-b09339a6a934" xlink:type="arc"/>
  </link:calculationLink>
</link:linkbase>
